package tunnelbroker

const (
	wanIpUrl string = "https://c4.r00t2.io/"
	// https://forums.he.net/index.php?topic=3153.0
	// If no TID is provided, all tunnels are returned.
	/*
		All-tunnels mode can *only* use the account's password,
		the TID-specified can *only* use the Update Key.
	*/
	infoBaseUrl    string = "https://tunnelbroker.net/tunnelInfo.php"
	updateBaseUrl  string = "https://ipv4.tunnelbroker.net/nic/update"
	infoTidParam   string = "tid"
	updateTidParam string = "hostname"
	/*
		NOTE:
		This parameter is only required if the client's WAN IP
		does not match the desired tunnel address.
		If left off, it defaults to client IP (as seen by the webserver).
	*/
	updateIpParam string = "myip"
	// respons messages
	tunRespNoTuns string = "No tunnels found"
)
