package tunnelbroker

import (
	`errors`
)

var (
	ErrBadPrefixValue error = errors.New("cannot reliably determine a TunPrefix or netip.Prefix from value")
	ErrHERateLimit    error = errors.New("the Hurricane Electric soft rate limit has been hit; please lower your frequency or you will get a 429")
	ErrHENoTuns       error = errors.New("no tunnel configuration found for the specified tunnel ID")
	ErrHEInvalid      error = errors.New("the new client IP address is either not allowed or cannot be pinged")
)
